Package org.apache.naming.java

## Class javaURLContextFactory

- java.lang.Object
- - org.apache.naming.java.javaURLContextFactory

- All Implemented Interfaces:
    `javax.naming.spi.InitialContextFactory`, `javax.naming.spi.ObjectFactory`

      public class javaURLContextFactory
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory, javax.naming.spi.InitialContextFactory

  Context factory for the "java:" namespace.

  Important note : This factory MUST be associated with the "java" URL prefix, which can be done by either :

  - Adding a java.naming.factory.url.pkgs=org.apache.naming property to the JNDI properties file
  - Setting an environment variable named Context.URL_PKG_PREFIXES with its value including the org.apache.naming package name. More detail about this can be found in the JNDI documentation : `NamingManager.getURLContext(java.lang.String, java.util.Hashtable)`.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static javax.naming.Context` | `initialContext` | Initial context.
    `static java.lang.String` | `MAIN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `javaURLContextFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.naming.Context` | `getInitialContext​(java.util.Hashtable<?,​?> environment)` | Get a new (writable) initial context.
    `java.lang.Object` | `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,​?> environment)` | Crete a new Context's instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAIN

          public static final java.lang.String MAIN

      See Also:
        Constant Field Values

    - #### initialContext

          protected static volatile javax.naming.Context initialContext

      Initial context.

  - ### Constructor Detail

    - #### javaURLContextFactory

          public javaURLContextFactory()

  - ### Method Detail

    - #### getObjectInstance

          public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                                    javax.naming.Name name,
                                                    javax.naming.Context nameCtx,
                                                    java.util.Hashtable<?,​?> environment)
                                             throws javax.naming.NamingException

      Crete a new Context's instance.
      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Throws:
        `javax.naming.NamingException`

    - #### getInitialContext

          public javax.naming.Context getInitialContext​(java.util.Hashtable<?,​?> environment)
                                                 throws javax.naming.NamingException

      Get a new (writable) initial context.
      Specified by:
        `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
      Throws:
        `javax.naming.NamingException`